Open Lighting Architecture: ola::plugin::osc Namespace Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Functions
ola::plugin::osc Namespace Reference

## Detailed Description

Code for the OSC protocol.

## Classes
class | OSCDevice
class | OSCNode
class | OSCPlugin
class | OSCInputPort
| The Input Port class, for receiving DMX via OSC. More...
class | OSCOutputPort
struct | OSCTarget
class | string
| STL class. More...
class | vector
| STL class. More...
class | SelectServerInterface
| The interface for the SelectServer. More...
class | IPV4SocketAddress
| An IPv4 SocketAddress. More...
class | set
| STL class. More...
class | ostringstream
| STL class. More...

## Functions
string | ExpandTemplate (const string &str, unsigned int value)
void | OSCErrorHandler (int error_code, const char *msg, const char *stack)
bool | ExtractSlotFromPath (const string &osc_address, string *group_address, uint16_t *slot)
bool | ExtractSlotValueFromPair (const string &type, lo_arg **argv, int argc, uint16_t *slot, uint8_t *value)
int | OSCDataHandler (const char *osc_address, const char *types, lo_arg **argv, int argc, lo_message, void *user_data)
std::string | IntToString (int i)
| Convert an int to a string.

## Function Documentation

## ◆ ExpandTemplate()

std::string ola::plugin::osc::ExpandTemplate | ( | const string & | str,
|  | unsigned int | value )

If the string contains d, replace it with the given value. This only replaces the first instance of d.

Parameters

  str | the template string to use
  value | the value to use as the replacement.

Returns
  str with d replaced by value.

## ◆ ExtractSlotFromPath()

bool ola::plugin::osc::ExtractSlotFromPath | ( | const string & | osc_address,
|  | string * | group_address,
|  | uint16_t * | slot )

Extract the slot number and group address from an OSC address

## ◆ ExtractSlotValueFromPair()

bool ola::plugin::osc::ExtractSlotValueFromPair | ( | const string & | type,
|  | lo_arg ** | argv,
|  | int | argc,
|  | uint16_t * | slot,
|  | uint8_t * | value )

Extract the slot and value from a tuple (either ii or if)

## ◆ IntToString()

std::string ola::IntToString | ( | int | i | ) |
| inline

Convert an int to a string.

Parameters

  i | the int to convert

Returns
  the string representation of the int

Deprecated
  Use ola::strings::IntToString instead (30 Dec 2014).

## ◆ OSCDataHandler()

int ola::plugin::osc::OSCDataHandler | ( | const char * | osc_address,
|  | const char * | types,
|  | lo_arg ** | argv,
|  | int | argc,
|  | lo_message | ,
|  | void * | user_data )

Called when liblo receives data.

Parameters

  osc_address | the OSC Address this data was sent to
  types | the OSC data type for the data
  argv | the data itself
  argc | the number of data blocks
  user_data | a pointer to the OSCNode object.